Subject: Re: bug#27953: vc-region-history doesn't follow renames
From: Clément Pit--Claudel <[email-masked]>
To: Kyle Meyer <[email-masked]>
Cc: Andreas Schwab <[email-masked]>, Stefan Monnier <[email-masked]>, [email-masked]
Date: Sat, 5 Aug 2017 19:27:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2017-08-05 19:05, Kyle Meyer wrote:
> Clément Pit--Claudel <[email-masked]> writes:
>> On 2017-08-04 19:21, Stefan Monnier wrote:
>>>> Indeed, `git log -p --follow -L5,25:file.c' doesn't work.  But `git
>>>> log -p --follow -L5,25:file.c file.c' does work (note the extra mention of
>>>> the file name).
>>>
>>> Hmm... what's the difference between
>>>
>>>     git log -p -L5,25:file.c
>>> and
>>>     git log -p -L5,25:file.c file.c
>>
>> The second one allows --follow; the first one doesn't.  I don't know what differences they may be beyond that :/
> 
> As Andreas mentioned, even though git doesn't throw an error, giving a
> pathspec with -L is documented as invalid.

Thanks. I'm glad I sent the patch for review.

> But you shouldn't need to add --follow here.  Renames should be followed
> by default when -L is used.  (At least, that's what I see using Git
> v2.13.3.)

This seems to be new. Adding --follow appears to make git follow renames here (2.7.4).

Thanks.
Clément.